<template>
  <div class="distribution">
    <div class="title">
      <span>政务数据目录</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="distribution_content">
      <div class="content">
        <p class="title">推荐服务接口</p>
        <ul>
          <li
            v-for="(v, i) in rankingData"
            :key="i"
            @click="toNewPage(v.APISERVICELIST_ID)"
          >
            <div
              class="left"
              :class="Number(v.ranking) <= 3 ? 'left_orange' : 'left_blue'"
            >
              {{ v.ranking }}
            </div>
            <div class="right">
              <p :class="Number(v.ranking) <= 3 ? 'orange' : 'blue'">
                {{ v.SERVICE_NAME }}
              </p>
              <div class="tagging">
                <i style="margin-right: auto"> {{ `来源：${v.DIC_NAME}` }}</i>

                <i>{{ v.REGISTER_TIME }}</i>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <div class="content">
        <p class="title">最新数据目录</p>
        <ul>
          <li v-for="(v, i) in dataDirectoryData" :key="i" @click="toNewPage()">
            <div
              class="left"
              :class="Number(v.ranking) <= 3 ? 'left_orange' : 'left_blue'"
            >
              {{ v.ranking }}
            </div>
            <div class="right">
              <p :class="Number(v.ranking) <= 3 ? 'orange' : 'blue'">
                {{ v.RESOURCE_NAME }}
              </p>
              <div class="tagging">
                <i style="margin-right: auto"> {{ `来源：${v.DIC_NAME}` }}</i>

                <i>{{ v.REGISTER_TIME }}</i>
              </div>
            </div>
          </li>
        </ul>
      </div>
      <div class="content">
        <p class="title">目录排行</p>
        <ul>
          <li v-for="(v, i) in directoryRankingData" :key="i">
            <div
              class="left"
              :class="Number(v.ranking) <= 3 ? 'left_orange' : 'left_blue'"
            >
              {{ v.ranking }}
            </div>
            <div class="right">
              <p :class="Number(v.ranking) <= 3 ? 'orange' : 'blue'">
                {{ v.RESOURCE_NAME }}
              </p>
              <p class="tagging">{{ `来源：${v.DIC_NAME}` }}</p>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
import {
  apiServicelistData,
  dataDirectorylistData,
  dataDirectorylist2Data,
} from "../../../utils/api.js";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      rankingData: [],
      dataDirectoryData: [],
      directoryRankingData: [],
    };
  },
  //方法集合
  methods: {
    toNewPage() {},
    async construction() {
      let { data: dt } = await apiServicelistData();
      // if (dt.errno !== 200) {
      //   return this.$message.error(dt.errmsg);
      // }

      this.rankingData = dt;

      this.rankingData.forEach((e, i) => {
        e.ranking = i + 1;
        e.REGISTER_TIME = e.REGISTER_TIME.substring(0, 10);
      });
    },
    async dataDirectory() {
      let { data: dt } = await dataDirectorylistData();
      // if (dt.errno !== 200) {
      //   return this.$message.error(dt.errmsg);
      // }

      this.dataDirectoryData = dt;

      this.dataDirectoryData.forEach((e, i) => {
        e.ranking = i + 1;
        e.REGISTER_TIME = e.REGISTER_TIME.substring(0, 10);
      });
    },
    async directoryRanking() {
      let { data: dt } = await dataDirectorylist2Data();
      // if (dt.errno !== 200) {
      //   return this.$message.error(dt.errmsg);
      // }

      this.directoryRankingData = dt;

      this.directoryRankingData.forEach((e, i) => {
        e.ranking = i + 1;
        e.REGISTER_TIME = e.REGISTER_TIME.substring(0, 10);
      });
    },
  },
  mounted() {},
  created() {
    this.construction();
    this.dataDirectory();
    this.directoryRanking();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.distribution {
  overflow: hidden;
  width: 100%;
  height: 40%;
  box-sizing: border-box;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .distribution_content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    .content {
      background: url("../../../assets/img/使用1.png") no-repeat center;
      background-size: 100% 100%;
      width: 700px;
      height: 856px;
      position: relative;

      .title {
        font-size: 36px;
        color: #ffffff;
        text-align: center;
        padding-top: 35px;
      }
      ul {
        padding: 54px;
        box-sizing: border-box;
        li {
          display: flex;
          align-items: center;
          padding-bottom: 50px;
          .left {
            width: 66px;
            height: 66px;
            font-size: 29px;
            color: #ffffff;
            line-height: 66px;
            text-align: center;
            margin-right: 45px;
          }
          .left_orange {
            background: url("../../../assets/img/椭圆 11.png") no-repeat center;
            background-size: 100% 100%;
          }
          .left_blue {
            background: url("../../../assets/img/椭圆 11 拷贝 2.png") no-repeat
              center;
            background-size: 100% 100%;
          }
          .right {
            width: 100%;
            .orange {
              font-size: 29px;
              color: #ffb726;
            }
            .blue {
              font-size: 29px;
              color: #00b8f8;
            }
            .tagging {
              width: 100%;
              padding-top: 18px;
              font-size: 24px;
              color: rgba(255, 255, 255, 0.68);
              display: flex;
              justify-content: flex-start;
            }
          }
        }
        li:last-child {
          padding-bottom: 0;
        }
      }
    }
  }
}
@media only screen and (max-width: 2560px) {
  .distribution {
    height: auto;
    overflow: visible;
    background: transparent;
    .distribution_content {
      .content {
        width: calc(700px * 2);
        height: calc(856px * 3);
        .title {
          padding-top: calc(35px * 3);
        }
        ul {
          padding: calc(54px * 3);

          li {
            padding-bottom: calc(50px * 3);
            .left {
              width: calc(66px * 3);
              height: calc(66px * 3);

              line-height: calc(66px * 3);

              margin-right: calc(45px * 3);
            }
          }
        }
      }
    }
  }
}
</style>
